import { html as f } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, n = (l, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, i) : t, s = l.length - 1, c; s >= 0; s--)
    (c = l[s]) && (e = (r ? c(t, i, e) : c(e)) || e);
  return r && e && m(t, i, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--infoCircle", this.class = "c-pieIcon c-pieIcon--infoCircle", this.name = "IconInfoCircle";
  }
  render() {
    return f`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--infoCircle"><path d="M8 1.219A6.781 6.781 0 1 0 14.781 8 6.79 6.79 0 0 0 8 1.219m0 12.25A5.469 5.469 0 1 1 8 2.53a5.469 5.469 0 0 1 0 10.938M7.344 7.29h1.312v3.334H7.344zm1.531-1.916a.875.875 0 1 1-1.75 0 .875.875 0 0 1 1.75 0"></path></svg>`;
  }
};
n([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  a("icon-info-circle")
], o);
export {
  o as IconInfoCircle
};
